[paludis-user] Upgrade virtual/* deps

Eduardo Suarez-Santana eduardo at suarezsantana.com
Fri Mar 15 22:28:10 UTC 2013


Is libusb-1.0.8 a dependency of virtual/libusb? Check with
cave show virtual/libusb -c

In cave it is not, try something like:
cave resolve -1x virtual/libusb -F dev-libs/libusb


On Fri, Mar 15, 2013 at 10:05 PM, denisgolovan <denisgolovan at yandex.ru>wrote:

> Hi
>
> No errors were emitted at the end of "cave resolve chromium".
> It's just that chromium fails to build without dev-libs/libusb-1.0.9.
>
> My point was that if chromium has virtual/libusb dependency and I have
> libusb-1.0.8 installed then I would assume "cave resolve chromium" (without
> --lazy) should emerge libusb-1.0.9 before chromium. But it does not.
>
> That was my concern.
> Either this is a bug or a feature :)
>
>
> 16.03.2013, 00:01, "Eduardo Suarez-Santana" <eduardo at suarezsantana.com>:
>
> I would have a look for errors at the end of 'cave resolve'. Have also a
> look at the dependencies of the virtual packages with 'cave show -c'.
>
> For libusb-1, in my case the dependency is against libusb-1.0.9 (shown
> pink, the others in red).
>
>     Run dependencies
>                               || (
>                                   >=dev-libs/libusbx-1.0.13:1
>                                   >=dev-libs/libusb-1.0.9:1
>                                   >=sys-freebsd/freebsd-lib-9.1_rc3-r1[usb]
>                               )
>
> You may try to change the dependency with the -F modifier in cave resolve.
>
> Good luck
>
>
> On Wed, Mar 13, 2013 at 10:53 PM, denisgolovan <denisgolovan at yandex.ru>wrote:
>
> Hi all
>
> Recently I found an issue when trying to update Gentoo machine which had
> not been updated for while.
> Quite naturally a lot of packages were updated in Gentoo tree comparing to
> what is installed.
>
> Now a lot of dependencies are in form of virtual/something.
> And it looks like "cave resolve" (without --lazy) for those dependencies
> does not want to update them.
> Even though a new version exists.
>
> Does it look strange only to me or there is some reason for that?
> You can use virtual/libusb-1 and www-client/chromium for a test case.
>
> And if that is by design, how I can make cave update those dependencies?
>
> P.S.
> I am on Gentoo x86, paludis v1.0.0
>
>  --
> Regards,
> Denis Golovan
>
> _______________________________________________
> paludis-user mailing list
> paludis-user at lists.exherbo.org
> http://lists.exherbo.org/mailman/listinfo/paludis-user
>
>
>
> --
> Regards,
> Denis Golovan
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.exherbo.org/pipermail/paludis-user/attachments/20130315/1271e00c/attachment.html>


More information about the paludis-user mailing list